xen version/upgrade handling: Improve an error message
authorIan Jackson <ian.jackson@citrix.com>
Thu, 7 Feb 2019 15:24:06 +0000 (15:24 +0000)
committerIan Jackson <ian.jackson@citrix.com>
Fri, 22 Feb 2019 14:00:16 +0000 (14:00 +0000)
When xen-dir cannot find xen-utils, mention that this might be because
xen-utils-<RUNNING-XEN-VERSION> was already removed.

This is generally helpful, but it does not solve the `missing
xenconsoled' problems because 1. it only changes messages and
2. actually in the init script, the error message is currently
discarded anyway (!)

But, anyway, it is an improvemennt.

Signed-off-by: Ian Jackson <ian.jackson@citrix.com>
Acked-by: Hans van Kranenburg <hans@knorrie.org>
debian/scripts/xen-dir

index 32b5776cf3312fac7201f6c7aee1d9b6ed877c29..48fe4043e1f4f105610a95da724a3ca17da90cad 100755 (executable)
@@ -5,6 +5,6 @@ VERSION=$(. /usr/lib/xen-common/bin/xen-version); RET=$?; [ $RET -eq 0 ] || exit
 if [ -d "/usr/lib/xen-$VERSION" ]; then
     echo "/usr/lib/xen-$VERSION"
 else
-    echo "ERROR:  Can't find version $VERSION of xen utils, bailing out!" >&2
+    echo "ERROR:  Can't find version $VERSION of xen utils (maybe xen-utils-$VERSION was already removed before rebooting out of Xen $VERSION), bailing out!" >&2
     exit 127
 fi